Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_copy_to_excluding()

Warning

Deprecated since version 1.1.0: This function is deprecated and should not be used in new code.

Please use bson_copy_to_excluding_noinit() in new code.

## Synopsis

    void
    bson_copy_to_excluding (const bson_t *src,
                            bson_t *dst,
                            const char *first_exclude,
                            ...) BSON_GNUC_NULL_TERMINATED
       BSON_GNUC_DEPRECATED_FOR (bson_copy_to_excluding_noinit);

## Parameters

- `src`: A bson_t.

- `dst`: A bson_t.

- `first_exclude`: The first field name to exclude.

## Description

The bson_copy_to_excluding() function shall copy all fields from `src` to `dst` except those specified by the variadic, NULL terminated list of keys starting from `first_exclude`.

Warning

bson_init() is called on `dst`.